### Constructor

# Vips Image new_from_file_raw

#### Declaration [src]

    VipsImage*
    vips_image_new_from_file_raw (
      const char* filename,
      int xsize,
      int ysize,
      int bands,
      guint64 offset
    )

#### Description [src]

This function maps the named file and returns a `VipsImage` you can use to read it.

It returns an 8-bit image with `bands` bands. If the image is not 8-bit, use `vips_copy()` to transform the descriptor after loading it.

See also

`vips_copy()`, `vips_rawload()`, `vips_image_new_from_file()`.

#### Parameters

`filename`

  Type: `const char*`

  Filename to open.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`xsize`

  Type: `int`

  Image width.

`ysize`

  Type: `int`

  Image height.

`bands`

  Type: `int`

  Image bands (or bytes per pixel).

`offset`

  Type: `guint64`

  Bytes to skip at start of file.

#### Return value

Type: `VipsImage`

The new `VipsImage`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.